Subject: 8999?

From: Christian Huitema <[email-masked]>
Date: Tue, 4 May 2021 20:14:18 -1000

Just looking at https://quicwg.org/base-drafts/rfc8999.html

I see that:

Stream:
    Internet Engineering Task Force (IETF)
RFC:
    8999 <https://datatracker.ietf.org/doc/html/rfc8999>
Category:
    Standards Track
Published:
    May 2021 
ISSN:
    2070-1721
Author:
    M. Thomson
    Mozilla

Congratulations!

-- Christian Huitema

---

From: Christian Huitema <[email-masked]>
Date: Tue, 4 May 2021 20:17:56 -1000

And of course:

RFC 9000 -- QUIC: A UDP-Based Multiplexed and Secure Transport

RFC 9001 -- Using TLS to Secure QUIC

RFC 9002 -- QUIC Loss Detection and Congestion Control

9000! That's very cool.

-- Christian Huitema

On 5/4/2021 8:14 PM, Christian Huitema wrote:
>    May 2021 ISSN:

---

From: "Martin Thomson" <[email-masked]>
Date: Wed, 05 May 2021 16:40:12 +1000

These aren't formal; don't get too excited.  Hold on for at least one more week, I'd say.

We're just in the process of porting the changes from the RFC editor into our repository.  We're doing that to verify that everything is good before we give the final approvals.

---

From: Julian Reschke <[email-masked]>
Date: Wed, 5 May 2021 09:33:15 +0200

Am 05.05.2021 um 08:40 schrieb Martin Thomson:
> ...

FWIW: that's great, and everybody should be doing that during AUTH48.
Optimally, the RPC would directly edit the source, though.

Best regards, Julian

---

From: Jana Iyengar <[email-masked]>
Date: Wed, 5 May 2021 06:21:30 -0700

Yup, we’re almost there, but hold on to the champagne bottles ....
something about eggs and counting chickens.

Though it is ok to get a bit excited :-)

And clearly, that we were completely coincidentally assigned 9000 is a sign
that the gods are putting their power behind this.

On Tue, May 4, 2021 at 11:41 PM Martin Thomson <[email-masked]> wrote:

> We're just in the process of porting the changes from the RFC editor into
> our repository.  We're doing that to verify that everything is good before
> we give the final approvals.
>

---

From: Mikkel Fahnøe Jørgensen <[email-masked]>
Date: Wed, 5 May 2021 16:10:35 +0200

Is it too late to change the name QUIC to HAL ?

Hidden Authenticated Link

> On 5 May 2021, at 15.21, Jana Iyengar <[email-masked]> wrote:
> 
> Yup, we’re almost there, but hold on to the champagne bottles .... something about eggs and counting chickens. 
> 
> And clearly, that we were completely coincidentally assigned 9000 is a sign that the gods are putting their power behind this.
> 
> On Tue, May 4, 2021 at 11:41 PM Martin Thomson <[email-masked] <mailto:[email-masked]>> wrote:
> > > Just looking at https://quicwg.org/base-drafts/rfc8999.html <https://quicwg.org/base-drafts/rfc8999.html>
> > >
> > > I see that:
> > >
> > > Stream:
> > >    8999 <https://datatracker.ietf.org/doc/html/rfc8999 <https://datatracker.ietf.org/doc/html/rfc8999>>
> > > Category:
> > >    Standards Track
> > > Published:
> > >    May 2021 ISSN:
> > >    2070-1721
> > > Author:
> > >    M. Thomson
> > >    Mozilla
> > >
> > > Congratulations!
> > >
> > > -- Christian Huitema
> > >
> > >
> > 
> > 
>

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 5 May 2021 17:21:22 +0200

> And clearly, that we were completely coincidentally assigned 9000 is a sign that the gods are putting their power behind this.

Yeah, the number 9000 is a portent of quality in other SDOs (e.g., ISO!) :-)

SCNR.

Grüße, Carsten

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Wed, 5 May 2021 10:50:32 -0500

Mikkel,

> Hidden Authenticated Link

Had we only known this would end up as RFC 9000, I would have LOVED to do
this with the working group name, because we spent years explaining to
people whether we were talking about Google QUIC, or IETF QUIC, and whether
they were the same thing or not.

But picking any new name only seemed smarter when we'd already chartered
the working group and adopted drafts, by which time it seemed unhelpful.

Hindsight is 20/20. Or, in this case, 9000/9000.

Best,

Spencer

> And clearly, that we were completely coincidentally assigned 9000 is a
> sign that the gods are putting their power behind this.
>

---

From: Mikkel Fahnøe Jørgensen <[email-masked]>
Date: Wed, 5 May 2021 17:54:46 +0200

> On 5 May 2021, at 17.50, Spencer Dawkins at IETF <[email-masked]> wrote:
> 

Or 2001/2021

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 6 May 2021 10:14:30 -0500

I would have liked
RFC 10000 more :)
that is the number we would brake the 4 digit RFC numbering

Behcet

---

From: Magnus Westerlund <[email-masked]>
Date: Wed, 19 May 2021 07:23:29 +0000

> that is the number we would brake the 4 digit RFC numbering

That is comming, it is roughly 4-5 years into the future. So starting a moderate
complex specification today and you have some chance for RFC 10000. 

Cheers

Magnus

---

From: Robin MARX <[email-masked]>
Date: Wed, 19 May 2021 09:38:32 +0200

> So starting a moderate

At least we've got something to aim for with qlog then.

-- 

dr. Robin Marx
Postdoc researcher - Web protocols
Expertise centre for Digital Media

*Cellphone *+32(0)497 72 86 94

www.uhasselt.be
Universiteit Hasselt - Campus Diepenbeek
Agoralaan Gebouw D - B-3590 Diepenbeek
Kantoor EDM-2.05